Debian Bug report logs - #635568
libc6-i386: E: Couldn't configure pre-depend libc6-i386 for lib32asound2, probably a dependency cycle.

version graph

Package: lib32asound2; Maintainer for lib32asound2 is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for lib32asound2 is src:alsa-lib.

Reported by: Luca Capello <luca@pca.it>

Date: Wed, 27 Jul 2011 01:42:02 UTC

Severity: important

Fixed in version alsa-lib/1.0.24.1-3

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, luca@pca.it, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635568; Package libc6-i386. (Wed, 27 Jul 2011 01:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to luca@pca.it, GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 27 Jul 2011 01:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: submit@bugs.debian.org
Subject: libc6-i386: E: Couldn't configure pre-depend libc6-i386 for lib32asound2, probably a dependency cycle.
Date: Wed, 27 Jul 2011 03:38:27 +0200
[Message part 1 (text/plain, inline)]
Package: libc6-i386
Version: 2.13-10
Severity: important
Affects: lib32asound2

Hi there!

During yesterday upgrade:
=====
root@gismo:/etc# apt-get update
[...]

root@gismo:/etc# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  linux-image-3.0.0-1-amd64 linux-image-amd64
The following packages will be upgraded:
  alsa-utils apt apt-utils busybox confclerk cpp-4.5 cpp-4.6
  debootstrap firmware-iwlwifi g++-4.6 gcc-4.4-base gcc-4.5
  gcc-4.5-base gcc-4.6 gcc-4.6-base gnutls-bin grub-common grub-pc
  grub-pc-bin grub2-common kbd lib32asound2 lib32gcc1 lib32stdc++6
  libasound2 libbluetooth3 libc-bin libc-dev-bin libc6 libc6-dev
  libc6-i386 libdigest-hmac-perl libdirectfb-1.2-9 libgcc1
  libgd2-noxpm libgfortran3 libgnutls26 libgomp1 libgudev-1.0-0
  liblua5.1-0 libpulse0 libquadmath0 libraptor2-0 libruby1.8
  libstdc++6 libstdc++6-4.6-dev libudev0 libvirt-bin libvirt0
  libwmf0.2-7 libxml-libxml-perl libyajl1 linux-image-2.6-amd64
  linux-libc-dev locales man-db multiarch-support nscd ntp
  openssh-client openssh-server os-prober procps python-libvirt qemu
  qemu-keymaps qemu-kvm qemu-system qemu-user qemu-utils ruby1.8
  tasksel tasksel-data udev virt-viewer wget xinit xterm
78 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/135 MB of archives.
After this operation, 109 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
E: Couldn't configure pre-depend libc6-i386 for lib32asound2, probably a dependency cycle.
root@gismo:/etc#
=====

I will wait until DebConf's end before doing any partial upgrade, in
case someone wants to look at this bug here ;-)

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc6-i386 depends on:
ii  libc6                         2.13-10    Embedded GNU C Library: Shared lib

libc6-i386 recommends no packages.

libc6-i386 suggests no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635568; Package libc6-i386. (Sat, 30 Jul 2011 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 30 Jul 2011 11:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 635568@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Luca Capello <luca@pca.it>, 635568@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#635568: libc6-i386: E: Couldn't configure pre-depend libc6-i386 for lib32asound2, probably a dependency cycle.
Date: Sat, 30 Jul 2011 13:38:26 +0200
reassign 635568 lib32asound2
thanks

On Wed, Jul 27, 2011 at 03:38:27AM +0200, Luca Capello wrote:
> Package: libc6-i386
> Version: 2.13-10
> Severity: important
> Affects: lib32asound2
> 
> Hi there!
> 
> During yesterday upgrade:
> =====
> root@gismo:/etc# apt-get update
> [...]
> 
> root@gismo:/etc# apt-get dist-upgrade
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Calculating upgrade... Done
> The following NEW packages will be installed:
>   linux-image-3.0.0-1-amd64 linux-image-amd64
> The following packages will be upgraded:
>   alsa-utils apt apt-utils busybox confclerk cpp-4.5 cpp-4.6
>   debootstrap firmware-iwlwifi g++-4.6 gcc-4.4-base gcc-4.5
>   gcc-4.5-base gcc-4.6 gcc-4.6-base gnutls-bin grub-common grub-pc
>   grub-pc-bin grub2-common kbd lib32asound2 lib32gcc1 lib32stdc++6
>   libasound2 libbluetooth3 libc-bin libc-dev-bin libc6 libc6-dev
>   libc6-i386 libdigest-hmac-perl libdirectfb-1.2-9 libgcc1
>   libgd2-noxpm libgfortran3 libgnutls26 libgomp1 libgudev-1.0-0
>   liblua5.1-0 libpulse0 libquadmath0 libraptor2-0 libruby1.8
>   libstdc++6 libstdc++6-4.6-dev libudev0 libvirt-bin libvirt0
>   libwmf0.2-7 libxml-libxml-perl libyajl1 linux-image-2.6-amd64
>   linux-libc-dev locales man-db multiarch-support nscd ntp
>   openssh-client openssh-server os-prober procps python-libvirt qemu
>   qemu-keymaps qemu-kvm qemu-system qemu-user qemu-utils ruby1.8
>   tasksel tasksel-data udev virt-viewer wget xinit xterm
> 78 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0 B/135 MB of archives.
> After this operation, 109 MB of additional disk space will be used.
> Do you want to continue [Y/n]? y
> E: Couldn't configure pre-depend libc6-i386 for lib32asound2, probably a dependency cycle.
> root@gismo:/etc#

The problem is that lib32asound2 pre-depends on libc6-i386 (for the
/emul/ia32-linux to /lib32 transition), which depends on libc6.
lib32asound2 also depends on libasound2 which pre-depends on
multiarch-support, which depends on libc6.

Said otherwise:

lib32asound2 -> libasound2 => multiarch-support -> libc6 <- libc6-i386 <= lib32asound2

Given the /emul/ia32-linux to /lib32 transition has been finished in
squeeze, I guess we can simply drop the pre-depends on libc6-i386 on the
lib32asound2 side. I am therefore reassigning this bug.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug reassigned from package 'libc6-i386' to 'lib32asound2'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sat, 30 Jul 2011 11:42:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions eglibc/2.13-10. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sat, 30 Jul 2011 11:42:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jordi Mallach <jordi@debian.org> to control@bugs.debian.org. (Wed, 03 Aug 2011 19:48:09 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Thu, 04 Aug 2011 12:49:14 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Thu, 04 Aug 2011 12:49:17 GMT) Full text and rfc822 format available.

Message #21 received at 635568-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 635568-close@bugs.debian.org
Subject: Bug#635568: fixed in alsa-lib 1.0.24.1-3
Date: Thu, 04 Aug 2011 12:47:18 +0000
Source: alsa-lib
Source-Version: 1.0.24.1-3

We believe that the bug you reported is fixed in the latest version of
alsa-lib, which is due to be installed in the Debian FTP archive:

alsa-lib_1.0.24.1-3.debian.tar.bz2
  to main/a/alsa-lib/alsa-lib_1.0.24.1-3.debian.tar.bz2
alsa-lib_1.0.24.1-3.dsc
  to main/a/alsa-lib/alsa-lib_1.0.24.1-3.dsc
lib32asound2-dev_1.0.24.1-3_amd64.deb
  to main/a/alsa-lib/lib32asound2-dev_1.0.24.1-3_amd64.deb
lib32asound2_1.0.24.1-3_amd64.deb
  to main/a/alsa-lib/lib32asound2_1.0.24.1-3_amd64.deb
libasound2-dbg_1.0.24.1-3_amd64.deb
  to main/a/alsa-lib/libasound2-dbg_1.0.24.1-3_amd64.deb
libasound2-dev_1.0.24.1-3_amd64.deb
  to main/a/alsa-lib/libasound2-dev_1.0.24.1-3_amd64.deb
libasound2-doc_1.0.24.1-3_all.deb
  to main/a/alsa-lib/libasound2-doc_1.0.24.1-3_all.deb
libasound2-udeb_1.0.24.1-3_amd64.udeb
  to main/a/alsa-lib/libasound2-udeb_1.0.24.1-3_amd64.udeb
libasound2_1.0.24.1-3_amd64.deb
  to main/a/alsa-lib/libasound2_1.0.24.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Aug 2011 20:18:22 +0200
Source: alsa-lib
Binary: libasound2 libasound2-dev libasound2-dbg lib64asound2 lib64asound2-dev lib32asound2 lib32asound2-dev libasound2-udeb libasound2-doc
Architecture: source amd64 all
Version: 1.0.24.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 lib32asound2 - shared library for ALSA applications (32 bit)
 lib32asound2-dev - shared library for ALSA applications -- development files (32 bit
 lib64asound2 - shared library for ALSA applications (64 bit)
 lib64asound2-dev - shared library for ALSA applications -- development files (64 bit
 libasound2 - shared library for ALSA applications
 libasound2-dbg - debugging symbols for libasound2
 libasound2-dev - shared library for ALSA applications -- development files
 libasound2-doc - developer documentation for user-space ALSA application programmi
 libasound2-udeb - shared library for ALSA applications (udeb) (udeb)
Closes: 457884 635568
Changes: 
 alsa-lib (1.0.24.1-3) unstable; urgency=low
 .
   * Drop lib32asound2's Pre-Depends on libc6-i386, as the
     /emul/ia32-linux → /lib32 transition was completed for squeeze, and
     its presence causes a dependency loop introduced with the Multiarch
     changes (closes: #635568).
   * Make libasound2-udeb's short description unique.
   * Introduce a new libasound2-dbg package with debugging symbols for
     libasound2 (closes: #457884).
Checksums-Sha1: 
 dd18dbfcc253d6e1d90baca63a0c21e194c2bd89 1831 alsa-lib_1.0.24.1-3.dsc
 ab06fe3857a7343ad993066452a98ede62111f5b 306678 alsa-lib_1.0.24.1-3.debian.tar.bz2
 d0227e4af5ff903f1c688ff49e3a2254e6dfb710 445566 libasound2_1.0.24.1-3_amd64.deb
 a003c6268ec735a3bbd120fc19dc4fc1af8e16c5 597408 libasound2-dev_1.0.24.1-3_amd64.deb
 b3e710350b3bf2736ffcc1ca1603b70de48aa4df 893722 libasound2-dbg_1.0.24.1-3_amd64.deb
 88cde41f290a998843fb1f516e5975fe6777b876 392750 lib32asound2_1.0.24.1-3_amd64.deb
 4dab094e58485da1f74839beb3482c59b41d5993 522964 lib32asound2-dev_1.0.24.1-3_amd64.deb
 21770390a89db840eaf09b6f086733b6c8ca1488 406830 libasound2-udeb_1.0.24.1-3_amd64.udeb
 134811fc78d28eaffec036ca7c174f3a14b159c9 1522328 libasound2-doc_1.0.24.1-3_all.deb
Checksums-Sha256: 
 9a860d2c6d3974e6fa44576fda62a940e90bcc3a7ba76b85717cfeafa55d9bb3 1831 alsa-lib_1.0.24.1-3.dsc
 5979f3e3c05618a694bb8118dc7b2d48ff4a8491c2c0913dce1481613ec0f088 306678 alsa-lib_1.0.24.1-3.debian.tar.bz2
 d4bb71b2f094cd811ffc4e287c457c5d822bb4cd1f5a8ba187eafcf562ca60e8 445566 libasound2_1.0.24.1-3_amd64.deb
 2cb3c26ca6e72f7e9503e82bac251e297e743460bad27f7a9834a2ad234f398c 597408 libasound2-dev_1.0.24.1-3_amd64.deb
 fce9f56858326c91bbc99fe0fba2ea35dab0fdcaf4d3e1d7a7e2d6a29e17736d 893722 libasound2-dbg_1.0.24.1-3_amd64.deb
 f18f41e86c27e84b43bb91501d18b99d5aa2de0adbeb97ccd78d49b0f497b64d 392750 lib32asound2_1.0.24.1-3_amd64.deb
 0d8b1ee9552d666b0acaee20c301c0eeda436378f065d03de07e1949f4b42d3f 522964 lib32asound2-dev_1.0.24.1-3_amd64.deb
 c8ee3ecce2d0a98cde9460ba51b2b439782ded5e9ff4f6dda80f8cd0196395dc 406830 libasound2-udeb_1.0.24.1-3_amd64.udeb
 0b125e5d2f434bf64e89d8576d528f626569d4b28fcecc5778adec6001a3f39c 1522328 libasound2-doc_1.0.24.1-3_all.deb
Files: 
 f18f00c03573b033380079151c8e6b64 1831 libs optional alsa-lib_1.0.24.1-3.dsc
 f3defcfc1ffc7cb7a533c8ebcc7118b6 306678 libs optional alsa-lib_1.0.24.1-3.debian.tar.bz2
 bccc9f02d7c0a0cbda3e076b2d7f6f2e 445566 libs optional libasound2_1.0.24.1-3_amd64.deb
 f9d15d94755660a2401f8b2781eabf67 597408 libdevel optional libasound2-dev_1.0.24.1-3_amd64.deb
 d424ca519948118cc80dfd853429a6da 893722 debug extra libasound2-dbg_1.0.24.1-3_amd64.deb
 bbe2dcab41d9fb106a9422eb6a299fb6 392750 libs optional lib32asound2_1.0.24.1-3_amd64.deb
 b14d3fc4ceba84edb3670e9e3409b2c1 522964 libdevel optional lib32asound2-dev_1.0.24.1-3_amd64.deb
 2d4432835f44f9c2fefe4b30930b7588 406830 debian-installer optional libasound2-udeb_1.0.24.1-3_amd64.udeb
 3650b87bf9884d945d790958ab15ef75 1522328 doc optional libasound2-doc_1.0.24.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk45yp0ACgkQJYSUupF6Il6yhwCfQrpGuKROpz8tvRmZFolh8tRH
sqcAoKFatTcZ3K83CTItokioKu3+Bj12
=aVfy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Sep 2011 07:33:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:55:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.